<?php

namespace Dipper\Sms\Messages;

use Dipper\Sms\Contracts\GatewayInterface;

class VcodeMessage extends Message
{
    protected $attributes;

    public function __construct(array $attributes)
    {
        $this->attributes = $attributes;
    }

    // 定义直接使用内容发送平台的内容
    public function getContent(GatewayInterface $gateway = null)
    {
        return sprintf('【车友服务】短信内容验证码%s，您正在进行%s身份验证，打死不要告诉别人哦！', $this->attributes['code'], $this->attributes['product']);
    }

    // 定义使用模板发送方式平台所需要的模板 ID
    public function getTemplate(GatewayInterface $gateway = null)
    {
        $config = $gateway->getConfig();
        return $config['template']['vcode'];
    }

    // 模板参数
    public function getData(GatewayInterface $gateway = null)
    {
        return [
            'code' => $this->attributes['code'],
            'product' => $this->attributes['product'],
        ];
    }
}
